API Reference
Rename a tag in the library
PATCH
header
X-API-Key<token>API Key for programmatic access
domainId*stringPublic UUID of the domain whose tag library is addressed
tagId*stringPublic UUID of the tag
application/json- body
name*stringNew name for the tag, unique within the domain
Length
length <= 255Tag renamed
application/json- response
id*stringPublic UUID of the tag
organizationId*stringUUID of the owning organization
domainId*stringUUID of the domain the tag belongs to
name*stringTag name, unique within the domain
createdAt*stringWhen the tag was created
Format
date-timeupdatedAt*stringWhen the tag was last renamed
Format
date-timecurl -X PATCH 'https://api.getmint.ai/api/domains/3fa85f64-5717-4562-b3fc-2c963f66afa6/tags/3fa85f64-5717-4562-b3fc-2c963f66afa6' \ -H 'Content-Type: application/json' \ -d '{ "name": "Pricing"}'{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "organizationId": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "domainId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "name": "retail", "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z"}